﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Finances.Seeyon
{
    internal static class Configs
    {
        internal static string BaseUrl = "https://oa.njqi.org.cn/";//"http://61.132.52.110:82";//"http://zyoa.jst-gov.com";

        public const string TableNameApply = "FINA_Applies";
        public const string TableNameInvoice = "FINA_Invoices";

        /// <summary>
        /// 提交表单接口
        /// </summary>
        internal static string RouteRequestForm = "/seeyon/rest/bpm/process/start";

        /// <summary>
        /// 获取token接口
        /// </summary>
        internal static string RouteRestToken = "/seeyon/rest/token";

        /// <summary>
        /// 按登录名取人员信息
        /// </summary>
        internal static string RouteOrgMember = "/seeyon/rest/orgMember";

        internal static string RouteFormImport = "/seeyon/rest/form/import/";
        internal static string RouteFormExport = "/seeyon/rest/form/export/";

        internal static string RouteCap4FormImport = "/seeyon/rest/cap4/form/soap/export/";

        internal static string appName = "collaboration";//"collaboration";//OA提供
        internal static string templateCodeAdvanceInvoice = "AdvanceInvoice";//OA提供
        internal static string templateCodeOrdinaryInvoice = "OrdinaryInvoice";//OA提供
        internal static string templateCodeInvoiceVoid = "InvoiceVoid";//OA提供
        internal static string templateCodeInvoiceRedOffset = "InvoiceRedOffset";//OA提供
        internal static string templateCodeIncome = "DEPARTMENTALREVENUE";//OA提供
        internal static string templateCodeContract = "contractFile";//OA提供
        internal static string templateCodeContractRightId = "7866746717091285245.6832991593302278445_-6245354230910071662.-712354477639973320_683831699372263267.-3542418042388265102";//OA提供

        internal static string restUserName = "settlement";//"rest";
        internal static string restPassword = "53aab6e3-05e5-4f6f-9084-38247e6142b6";//"fba09671-2b1e-4c8c-9aaf-de16821070df";
    }
}
