﻿using Kivii.Finances.Seeyon.Extensions;
using Kivii.Seeyon.Entities;
using Kivii.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Finances.Seeyon
{
    public class ResponseTokenGet:RestfulExecution<ResponseToken>
    {
        public string loginName { get; set; }

        public override object OnExecution(IRequest req, IResponse res)
        {
            var client = new JsonServiceClient(Configs.BaseUrl);

            var rtns=new RestfulReadResponse<ResponseToken>();
            rtns.Result= client.RequestRestToken(loginName);

            return rtns;
        }
    }
}
